package com.zhyc.module.produce.manage_sheep.mapper;

import java.util.List;

import com.zhyc.module.produce.manage_sheep.domain.ScTransGroup;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 转群记录Mapper接口
 *
 * @author ruoyi
 * @date 2025-07-10
 */
@Mapper
public interface ScTransGroupMapper {
    /**
     * 查询转群记录
     *
     * @param id 转群记录主键
     * @return 转群记录
     */
    public ScTransGroup selectScTransGroupById(Integer id);

    /**
     * 查询转群记录列表
     *
     * @param scTransGroup 转群记录
     * @return 转群记录集合
     */
    public List<ScTransGroup> selectScTransGroupList(ScTransGroup scTransGroup);

    /**
     * 新增转群记录
     *
     * @param scTransGroup 转群记录
     * @return 结果
     */
    public int insertScTransGroup(ScTransGroup scTransGroup);

    /**
     * 修改转群记录
     *
     * @param scTransGroup 转群记录
     * @return 结果
     */
    public int updateScTransGroup(ScTransGroup scTransGroup);

    /**
     * 删除转群记录
     *
     * @param id 转群记录主键
     * @return 结果
     */
    public int deleteScTransGroupById(Integer id);

    /**
     * 批量删除转群记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteScTransGroupByIds(Integer[] ids);

    /**
     * 模糊搜索耳号
     */
    List<String> searchEarNumbers(@Param("query") String query);

    /* 列表查询支持多耳号模糊 */
    List<ScTransGroup> selectScTransGroupList(
            @Param("sc") ScTransGroup sc,
            @Param("manageTagsList") List<String> manageTagsList);
}
